Download it now!
Bug 53272 - Can't easily intersperse list and non-list paragraphs
Summary: Can't easily intersperse list and non-list paragraphs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Draw-UX
  Show dependency treegraph
 
Reported: 2012-08-08 22:44 UTC by Brennan Vincent
Modified: 2019-12-03 14:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brennan Vincent 2012-08-08 22:44:32 UTC
To reproduce:

Create a textbox in LibreOffice draw and start making a list. New elements may be added by pressing enter.

In Writer, you can then cancel the list and begin writing a normal paragraph by pressing return, then pressing backspace twice. This puts you back in non-list mode.

In Draw, however, pressing return and then backspace twice has no net effect, just taking you back to the end of the last list element, a behavior that is both less functional and more confusing than the corresponding behavior in Writer.
Comment 1 Buovjaga 2014-11-06 11:56:50 UTC
Confirmed.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 8b21b5cbe78945b27525b4ce78ae3d981f90590f
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-06_03:55:51
Comment 2 Buovjaga 2015-01-07 18:21:24 UTC
Set version number after reproducing with:

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2016-01-17 20:01:45 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 13:42:33 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:04:45 UTC
Dear Brennan Vincent,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug